source('preliminaries16.R')
source('qrot_17jun.R')

lee <- read.csv('leeZ.csv')[,2]

numb.mc <- 1e4

for(N in c(1e3, 5e3)){
  q.list <- 20:225
  alpha.list <- c(.1,.05,.01)
  simul(n=N,mc = numb.mc, q.list, alpha.list)

  load(paste0('raw_results',Sys.Date(),'_n=',n=N,'.RData'))

  for(a in alpha.list){
  results.fn(raw.res0, raw.res1, q.list,n=N, alpha = a, weight=1)
  }

  load(paste0('qrot_results',Sys.Date(),'n=',n,'.RData'))
  assign(paste0('ess_',N), ess)
}

ess <- rbind(ess_1000,ess_5000)
ess <- format(round(ess, 1))
temp.names <- c(paste0("D1: $\\mu=",-(0:2),"$"), paste0("D2: $\\lambda=",c(1,"\\frac{1}{3}"),"$"),paste0("D3"),
                paste0("D4: $\\kappa=",c('0.25','0.10','0.05'),"$"), paste0("D5: $\\kappa=",c('0.25','0.10','0.05'),"$"), "D6")
ess <- rbind(substring(temp.names, 1,2),substring(temp.names, 5),ess)
ess <- cbind(c("","",rep(c("AS-NR", "McC", "CJM"),2)), ess)

print(xtable(ess, align=c('l','l',rep('c',13))), sanitize.text.function = force,include.colnames=FALSE,include.rownames=FALSE,size='small',
      add.to.row=list(pos=list(2,5), command=c("\\hline &\\multicolumn{13}{c}{$n=1,000$}\\\\   \\cline{2-14} ",
                                               "\\hline &\\multicolumn{13}{c}{$n=5,000$}\\\\   \\cline{2-14} ")),
      hline.after=c(0,0,8,8), hline.before=2, file='./results/Table3.tex')

for(N in c(1,10)*1e5){
  q.list <- q.list.table
  alpha.list <- .1
  simul(n=N,mc = numb.mc, q.list, alpha.list)

  load(paste0('raw_results',Sys.Date(),'_n=',n=N,'.RData'))
  results.fn(raw.res0, raw.res1, q.list,n=N, alpha = alpha.list, weight=1)
}

